function indir_GBC(indir_FunImg, outfodr_GBC, infilepath_Mask, Parameter)
    inpath_Misc(outfodr_GBC, 'MakeCurrentDir');
    SubfodrList = dir_NameList(indir_FunImg);
    if ~isempty(gcp('nocreate'))
        parfor i=1:length(SubfodrList)
            crt_sub_path = [indir_FunImg filesep SubfodrList{i}];
            niifile = dir_4RegExp(crt_sub_path, '*.nii');
            if length(niifile)~=1
                error('nii file length must be 4D file!');
            else
                AllVolume = [crt_sub_path filesep niifile{1}];
            end
            infodr_GBC(AllVolume, [outfodr_GBC filesep 'GBC_' SubfodrList{i} '.nii'], infilepath_Mask);
        end
    else
        for i=1:length(SubfodrList)
            crt_sub_path = [indir_FunImg filesep SubfodrList{i}];
            niifile = dir_4RegExp(crt_sub_path, '*.nii');
            if length(niifile)~=1
                error('nii file length must be 4D file!');
            else
                AllVolume = [crt_sub_path filesep niifile{1}];
            end
            infodr_GBC(AllVolume, [outfodr_GBC filesep 'GBC_' SubfodrList{i} '.nii'], infilepath_Mask);
        end
    end
end